"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var countEntities_1 = require("./functions/countEntities");
var createEntity_1 = require("./functions/createEntity");
var getEntities_1 = require("./functions/getEntities");
var getEntity_1 = require("./functions/getEntity");
var patchEntity_1 = require("./functions/patchEntity");
var removeEntities_1 = require("./functions/removeEntities");
var removeEntity_1 = require("./functions/removeEntity");
var replaceEntity_1 = require("./functions/replaceEntity");
var constructIdDocument_1 = require("./utils/constructIdDocument");
var constructIdEntity_1 = require("./utils/constructIdEntity");
var parseFilterId_1 = require("./utils/parseFilterId");
var renameSortId_1 = require("./utils/renameSortId");
exports.default = (function (factoryConfig) {
    var facadeConfig = __assign({ constructDocument: constructIdDocument_1.default, constructEntity: constructIdEntity_1.default, constructFilter: parseFilterId_1.default, constructSort: renameSortId_1.default, defaultPaginationLimit: 100 }, factoryConfig);
    return {
        countEntities: countEntities_1.default(facadeConfig),
        createEntity: createEntity_1.default(facadeConfig),
        getEntities: getEntities_1.default(facadeConfig),
        getEntity: getEntity_1.default(facadeConfig),
        patchEntity: patchEntity_1.default(facadeConfig),
        removeEntities: removeEntities_1.default(facadeConfig),
        removeEntity: removeEntity_1.default(facadeConfig),
        replaceEntity: replaceEntity_1.default(facadeConfig),
    };
});
//# sourceMappingURL=factory.js.map