"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var lodash_1 = require("lodash");
var parseFilterKey = function (key, parser) {
    return function (filter) {
        if (lodash_1.has(filter, key)) {
            return parser(lodash_1.get(filter, key));
        }
        else if (lodash_1.isArray(filter)) {
            return lodash_1.map(filter, parseFilterKey(key, parser));
        }
        else if (lodash_1.isPlainObject(filter)) {
            return lodash_1.mapValues(filter, parseFilterKey(key, parser));
        }
        return filter;
    };
};
exports.default = parseFilterKey;
//# sourceMappingURL=parseFilterKey.js.map